import { SvelteComponentTyped } from "svelte";
export interface NewsArticleJsonLdProps extends JsonLdProps {
    url: string;
    title: string;
    images: ReadonlyArray<string>;
    section: string;
    keywords: string;
    dateCreated: string;
    datePublished: string;
    dateModified?: string;
    authorName: string | string[];
    description: string;
    body: string;
    publisherName: string;
    publisherLogo: string;
}
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: NewsArticleJsonLdProps['keyOverride'];
        url: NewsArticleJsonLdProps['url'];
        title: NewsArticleJsonLdProps['title'];
        images: NewsArticleJsonLdProps['images'];
        section: NewsArticleJsonLdProps['section'];
        keywords: NewsArticleJsonLdProps['keywords'];
        dateCreated: NewsArticleJsonLdProps['dateCreated'];
        datePublished: NewsArticleJsonLdProps['datePublished'];
        dateModified: NewsArticleJsonLdProps['dateModified'];
        authorName: NewsArticleJsonLdProps['authorName'];
        description: NewsArticleJsonLdProps['description'];
        body: NewsArticleJsonLdProps['body'];
        publisherName: NewsArticleJsonLdProps['publisherName'];
        publisherLogo: NewsArticleJsonLdProps['publisherLogo'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type NewsArticleProps = typeof __propDef.props;
export type NewsArticleEvents = typeof __propDef.events;
export type NewsArticleSlots = typeof __propDef.slots;
export default class NewsArticle extends SvelteComponentTyped<NewsArticleProps, NewsArticleEvents, NewsArticleSlots> {
}
export {};
