import { SvelteComponentTyped } from "svelte";
export interface ProfilePageJsonLdProps extends JsonLdProps {
    breadcrumb: string | ItemListElements[];
    lastReviewed?: string;
}
import type { JsonLdProps } from './jsonld.js';
import type { ItemListElements } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: ProfilePageJsonLdProps['keyOverride'];
        breadcrumb: ProfilePageJsonLdProps['breadcrumb'];
        lastReviewed?: ProfilePageJsonLdProps['lastReviewed'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ProfilePageProps = typeof __propDef.props;
export type ProfilePageEvents = typeof __propDef.events;
export type ProfilePageSlots = typeof __propDef.slots;
export default class ProfilePage extends SvelteComponentTyped<ProfilePageProps, ProfilePageEvents, ProfilePageSlots> {
}
export {};
