import { SvelteComponentTyped } from "svelte";
export interface SocialProfileJsonLdProps extends JsonLdProps {
    type: 'Person' | 'Organization';
    name: string;
    url: string;
    sameAs: string[];
}
import type { JsonLdProps } from './jsonld.js';
declare const __propDef: {
    props: {
        keyOverride?: SocialProfileJsonLdProps['keyOverride'];
        type: SocialProfileJsonLdProps['type'];
        name: SocialProfileJsonLdProps['name'];
        url: SocialProfileJsonLdProps['url'];
        sameAs: SocialProfileJsonLdProps['sameAs'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SocialProfileProps = typeof __propDef.props;
export type SocialProfileEvents = typeof __propDef.events;
export type SocialProfileSlots = typeof __propDef.slots;
export default class SocialProfile extends SvelteComponentTyped<SocialProfileProps, SocialProfileEvents, SocialProfileSlots> {
}
export {};
